
registerType('appdoo.iOS', (function () { function UITableViewController() {} var __super = setSupertypeFromDomain(UITableViewController, 'UIViewController', 'appdoo.iOS');

UITableViewController.prototype.initFromData = function UITableViewController_initFromData(data) {

		if (!__super.prototype.initFromData.call(this, data))
			return;

		Object.defineProperty(this, "view", {
			value: createComponentFromDomain('UITableView', "appdoo.iOS", this.context, data)});
		

		this.view.controller = this;

		return this;};
	


	

UITableViewController.prototype.viewDidLoad = function UITableViewController_viewDidLoad() {
		this.view.reloadData();};
	

UITableViewController.prototype.viewDidAppear = function UITableViewController_viewDidAppear() {

		if (typeof this.view.selectedRow !== 'number')
			return;
			
		
		
		var highlightedRowNode = this.view.subviews[this.view.selectedRow].DOMNode.cloneNode(true);
		this.view.DOMNode.appendChild(highlightedRowNode);
		this.view.unselectRowAtIndex(this.view.selectedRow);
		
		highlightedRowNode.style.webkitTransition = 'opacity .300s ease-out';
		setTimeout(function () {
			highlightedRowNode.style.opacity = 0;
		}.bind(this), 130);
		setTimeout(function () {
			this.view.DOMNode.removeChild(highlightedRowNode);
		}.bind(this), 510);};
	

UITableViewController.prototype.expectedTypeForProperty = function UITableViewController_expectedTypeForProperty(key) {
	if (key === "view") return "";
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return UITableViewController; }()));